
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "service/utils/version"

Gem::Specification.new do |spec|
  spec.name          = "service-utils"
  spec.version       = Service::Utils::VERSION
  spec.authors       = ["Farhan Gazi"]
  spec.email         = ["farhan.gazi@opinioni.net"]

  spec.summary       = %q{A Ruby gem with frequently used utilities.}
  spec.description   = %q{A Ruby gem written to semplify the use of frequently used utilities.}
  spec.homepage      = "https://gitlab.opinioni.net/farhan.gazi/service-utils"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
